# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Host: nirvana Database : machine

# --------------------------------------------------------
#
# Table structure for table 'OS'
#

CREATE TABLE OS (
   id tinyint(4) DEFAULT '0' NOT NULL auto_increment,
   name text NOT NULL,
   PRIMARY KEY (id)
);

#
# Dumping data for table 'OS'
#

INSERT INTO OS VALUES ( '1', 'Windows 95');
INSERT INTO OS VALUES ( '2', 'Windows 98');
INSERT INTO OS VALUES ( '3', 'Windows 98SE');
INSERT INTO OS VALUES ( '4', 'Windows 2000');
INSERT INTO OS VALUES ( '5', 'Windows 2000 Professional');
INSERT INTO OS VALUES ( '6', 'Windows 2000 Advanced Server');
INSERT INTO OS VALUES ( '7', 'Windows ME');
INSERT INTO OS VALUES ( '8', 'Windows NT 3.5.1');
INSERT INTO OS VALUES ( '9', 'Windows NT 4.0');
INSERT INTO OS VALUES ( '10', 'Red Hat Linux 6.0');
INSERT INTO OS VALUES ( '11', 'Red Hat Linux 6.1');
INSERT INTO OS VALUES ( '12', 'Red Hat Linux 6.2');
INSERT INTO OS VALUES ( '13', 'Red Hat Linux 7.0');
INSERT INTO OS VALUES ( '14', 'Solaris 2.5.1');
INSERT INTO OS VALUES ( '15', 'Solaris 2.6');
INSERT INTO OS VALUES ( '16', 'Solaris7');
INSERT INTO OS VALUES ( '17', 'Solaris8');

# --------------------------------------------------------
#
# Table structure for table 'access'
#

CREATE TABLE access (
   id int(11) DEFAULT '0' NOT NULL,
   description text
);


#
# Dumping data for table 'access'
#

INSERT INTO access VALUES ( '0', 'Admin');
INSERT INTO access VALUES ( '1', 'Manipulate');
INSERT INTO access VALUES ( '2', 'Display');


# --------------------------------------------------------
#
# Table structure for table 'aliases'
#

CREATE TABLE aliases (
   id int(11) DEFAULT '0' NOT NULL,
   Alias text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'changes'
#

CREATE TABLE changes (
   id int(11) DEFAULT '0' NOT NULL,
   who text NOT NULL,
   date text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'conf'
#

CREATE TABLE conf (
   domainname text NOT NULL,
   serial int(20) DEFAULT '0' NOT NULL,
   named text NOT NULL,
   yp text NOT NULL,
   dhcpd text NOT NULL,
   tmp text NOT NULL,
   start_range smallint(4) DEFAULT '0' NOT NULL,
   end_range smallint(4) DEFAULT '0' NOT NULL,
   dns_header text NOT NULL,
   dns_fwd_header text NOT NULL,
   yp_header text NOT NULL,
   dhcpd_header text NOT NULL,
   named_restart text NOT NULL,
   yp_restart text NOT NULL,
   dhcpd_restart text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'descriptions'
#

CREATE TABLE descriptions (
   item text NOT NULL,
   info text NOT NULL
);

#
# Dumping data for table 'descriptions'
#

INSERT INTO descriptions VALUES ( 'Machine_Name', 'The name of the machine can be anything, literally.  The only limitations are that it can only contain alpha-numeric characters and the single special character : the hyphen.
<BR><BR>
<B>DO NOT USE:</B><BR>
<UL>
<LI>White Spaces</LI>
<LI>Special Characters, including control characters</LI>
<LI>Underscore characters</LI>
</UL>');
INSERT INTO descriptions VALUES ( 'Hardware_Address', 'The hardware address is also known as the standard MAC address. It is a <B><I>COLON</I></B> separated six segment alpha numeric string, with <I>two</I> digits per segment in the following format:<BR><BR>
<CENTER>
##:##:##:##:##:##<BR>
</CENTER>
<BR>
An example would be:<BR>
<CENTER>
00:10:7b:32:9f:82<BR>
</CENTER>
<BR>');
INSERT INTO descriptions VALUES ( 'Alias', 'An alias of a machine is simply another way of referencing the machinename, but, commonly, in an easier-to-remember format.  The alias falls under the same restrictions as the machinename (or hostname), with one added flexibility:<BR>
<BR>
<UL><LI>You can use the underscore (_) character</LI></UL>
Multiple aliases can reference the same machinename.  To enter multiple aliases, simply separate each one by a comma (,).  White spaces are automatically removed.<BR><BR>');
INSERT INTO descriptions VALUES ( 'Owner_Name', 'The ownername field is for informational purposes only, and therefore, none of the core programs rely on the contents of this field.  So, basically, anything goes.<BR>
<BR>
It is best to stick to simply listing the first and last name of the primary user, or \"owner\" in the case of it being a multi-user machine, of the machine.<BR>');
INSERT INTO descriptions VALUES ( 'Location', 'The location field is for informational purposes only, and therefore, none of the core programs rely on the contents of this
field. So, basically, anything goes.<BR>
<BR>
It is probably best to stick to a format of :  Facility or Facility Location - Room Name or Number<BR><BR>
<CENTER>An example would be: <B>Princeton - 209</B><BR><BR>');
INSERT INTO descriptions VALUES ( 'OS', 'The location field is for informational purposes only, and therefore, none of the core programs rely on the contents of this
              field. So, basically, anything goes.<BR> <BR> Many systems have multiple operating systems installed on them, so
try to pick the <B>PRIMARY</B> operating system that is installed.<BR><BR>
');
INSERT INTO descriptions VALUES ( 'Comment', 'The location field is for informational purposes only, and therefore, none of the core programs rely on the contents of this
              field. So, basically, anything goes.<BR> <BR> This is a free-for-all entry field for any information that is deemed important.<BR><BR>
');
INSERT INTO descriptions VALUES ( 'IP_Address', 'The IP field is specifically for assigning the network address of the machine, and it is only possible to change it under certain menus.*<BR>
<BR>
Be very careful when altering the contents of this field.  It is very easy to render a machine unreachable by other machines or completely unusable if it relies on DHCP.<BR>
The IP field is in the standard ipv4 format which consists of 4 octets separated by periods (.). For example:<BR>
<CENTER><B>10.9.40.1</B></CENTER>
<BR>
<FONT SIZE=-2>* This option is only available under the \"Modify\" menu, and the \"add with specific IP\" option because the system usually hands out the IP addresses automatically.</FONT>');
INSERT INTO descriptions VALUES ( 'Access', 'The Access level setting determines just how much access to the system that the particular user account will have.  The current access levels are <B>Display</B>, <B>Mainpulate</B>, and <B>Admin</B>.<BR>
<BR>
<UL><LI><B>Display:</B> Allows the user to browse the contents of the database, display reports, and change their account information.</LI>
<LI><B>Manipulate:</B> Allows the user to have full access to altering all of the information in the database, plus all of the permissions a user with \"Display\" level access has.</LI>
<LI><B>Admin :</B> Full administrative access to the domain configuration pages, full access to the user section to add/delete users, plus all permissions that come with \"Manipulate\" access.</LI>
</UL>');
INSERT INTO descriptions VALUES ( 'Email', 'The email address is currently not used but may be in the future.  It is best to enter one just in case the user needs to be contacted.<BR>');
INSERT INTO descriptions VALUES ( 'Username', 'This is the name of the user account that will be used to gain access to the system.  Be sure to make it unique.<BR>
<BR>
Currently, there is <B>NO</B> error checking on user account names.<BR>');
INSERT INTO descriptions VALUES ( 'Password', 'The password entry is limited to 8 characters and will be encrypted in the database using standard UNIX crypting techniques.  Be sure to enter a password that is easily remembered but not easily hacked.<BR>
<BR>
If you are modifying account information, you do not need to re-type the password.  Sinply leave the password field blank, and the system is smart enough to not update the password entry.<BR>
');
INSERT INTO descriptions VALUES ( 'Serial_Number', 'Simply put, this is a free-form field to handle the recording of the unique serial number of the machine.  This is is mainly for asset tracking purposes.<BR>');
INSERT INTO descriptions VALUES ( 'Processor', 'The processor selection is solely for the purpose of identifying the components within the machine.  The processor field is of fixed form from a pull-down mainly because it is used to generate statistics on the type of machine population that exists in the environment.<BR>');
INSERT INTO descriptions VALUES ( 'Processor_Speed', 'Based upon the speed of the primary processor, this is entirely an informational field to give administrators a better handle on keeping track of the machines in the environment as well at to make it easier to get information on the machine without end user interaction.<BR>');
INSERT INTO descriptions VALUES ( 'Memory', 'The Memory field is a free-form field with the only purpose of being informational for the Administrator.<BR>');
INSERT INTO descriptions VALUES ( 'Temporary_Directory', 'This field defines the temporary storage area for <B>all</B> of the files generated by this script.<BR>
The entry is simply that of the <I>full path</I> to a <B><I>world writable</I></B> directory, or one that is, at least, writable by the user that runs the web server.<BR>
<BR>Normal format, for example, is:
<BR><CENTER><B>/var/tmp/machinedb</B></CENTER><BR>');
INSERT INTO descriptions VALUES ( 'IP_Start_Range', 'This field defines the starting point within each subnet to automatically hand out IP addresses.  It is somewhat common practice for SysAdmins to reserve some of the lower IP addresses for key machines or hardware.  So, this field allows you to insure that those key IP addresses are not even part of the pool of addresses.<BR>');
INSERT INTO descriptions VALUES ( 'IP_End_Range', 'This field defines the ending point within each subnet to automatically hand out IP addresses. It is somewhat common practice for SysAdmins to reserve some of the higher IP addresses for key machines or hardware. So, this field allows you to insure that those key IP addresses are not even part of the pool of addresses.<BR> ');
INSERT INTO descriptions VALUES ( 'NAMED_ACTIVE', 'This checkbox is a master switch to enable or disable the NAMED/BIND support.<BR> ');
INSERT INTO descriptions VALUES ( 'YP_ACTIVE', 'This checkbox is a master switch to enable or disable the NIS/YP support.<BR>');
INSERT INTO descriptions VALUES ( 'DHCPD_ACTIVE', 'This checkbox is a master switch to enable or disable the DHCP support.<BR>');
INSERT INTO descriptions VALUES ( 'DNS_File_Locations', 'In order to properly support DNS, the system will need to know where the final DNS files should be placed.  Simply enter the <I>full path</I> to the directory which contains all of the DNS forward and reverse files.<BR>
<BR>
For example:<BR>
<CENTER><B>/var/named</B></CENTER>
<BR>');
INSERT INTO descriptions VALUES ( 'DNS_File_Header', 'This is the common header that will get prepended to the forward file for DNS.  The key element here is the <B>@@SERIAL@@</B> variable which will automatically be replaced with a serial number in the format of <B>YYYYMMDD##</B>.<BR>
<BR>
An example header would be:<BR>
<PRE>
$TTL        14400
@          IN      SOA     ns1.my.domain.com. root.my.domain.com. (
                                        @SERIAL@      ; Serial
                                        10800           ; Refresh
                                        3600            ; Retry
                                        604800          ; Expire
                                        86400           ; Minimum TTL
                                )
                IN      NS      ns1.my.domain.com.
                IN      NS      ns2.my.domain.com.
</PRE><BR>');
INSERT INTO descriptions VALUES ( 'DNS_Reverse_File_Header', 'This field is a little misleading in that it contains what should be added to the DNS reverse file for the domain <I>in addition to</I> the DNS Forward Header.<BR>
You would normally see something like  the following added to the header:<BR>
<PRE>
                IN      MX      2 mail.my.domain.com.
                IN      A       192.168.1.3

localhost       IN      A       127.0.0.1
</PRE>');
INSERT INTO descriptions VALUES ( 'DNS_Restart_Command', 'The restart/reload command is executed via the hostupdate script, which is only executable via the <B>root</B> user.  Via this interface, the hostupdate</ script is accessed via SUDO.  The restart/reload command should be a script or series of commands that can be executed to reload or restart the DNS/BIND server.<BR>
<BR><BR>
For example:<BR>
<CENTER><B>/etc/init.d/named restart</B></CENTER>
<BR>');
INSERT INTO descriptions VALUES ( 'NIS_File_Locations', 'The script needs to know where to place the resulting files for use by NIS.  In this field, simply enter in the full path to the directory that the NIS server uses for its files.  On some systems, the files are located in various directories.  Aside from the fact that it is good practice to have all of these files in one location, separate from your local files, it makes life a lot easier.<BR>
<BR>
For example, if you had all of your NIS related files, which get built into maps, in one directory, the entry for this field would be:
<BR>
<CENTER><B>/var/nis</B></CENTER>
<BR>');
INSERT INTO descriptions VALUES ( 'NIS_File_Header', 'This text area is specifically for any additional information that is to be prepended to the start of the NIS hosts file.
<BR><B>The loopback address <I>MUST</I> be listed in this field in order for NIS to function properly.</B><BR>
In most cases, it would simply be comments warning that the file is auto-generated and it should not be edited by hand.  In addition to that type of warning, it would be common practice to include hostnames outside of your domain that you wish to have non fully-qualified domain name (FQDN) access to.<BR>
<BR>
For example:
<BR>
<PRE>
#
# DO NOT EDIT THIS FILE DIRECTLY.  Any changes to this file will be
# overwritten.  Use the web-database interface instead!
#
###
# This is the local loopback address.  Do not remove this entry, otherwise
# everything will break.
##
127.0.0.1       localhost
##
# A somewhere.else.com host that we want to access via its name rather
# than its FQDN.
##
10.1.1.2       sneaky sneaky.somewhere.else.com
</PRE>');
INSERT INTO descriptions VALUES ( 'NIS_Restart_Command', 'This command or series of commands would constitute what gets executed by the hostupdate script to restart or reload NIS to make the new maps active.<BR>
<BR>
For example:<BR>
<CENTER><B>cd /var/yp; make</CENTER></B>
<BR>');
INSERT INTO descriptions VALUES ( 'DHCPD_File_Locations', 'This field would contain the full path to the directory containing your DHCP files.  The final resulting DHCP file (dhcpd.conf) will be moved into this directory tree.<BR>
<BR>It is assumed, which is probably a bad thing, that the dhcpd.conf file is located in the \"etc\" directory within the directory listed in this field.<BR>
<BR>
For example:<BR>
<CENTER><B>/usr/local/</B></CENTER>
<BR>');
INSERT INTO descriptions VALUES ( 'DHCP_FIle_Header', 'The text field here will be prepended to the resulting dhcpd.conf file when it is built.  For DHCP to function, you will have to define your subnet declaration and any globals.<BR>
<BR>
For example:<BR>
<PRE>
# dhcpd.conf
#

# option definitions common to all supported networks...
option domain-name-servers 192.168.1.3,192.168.1.2;
option domain-name \"my.domain.com\";
option nis-domain \"my.domain.com\";

option netbios-name-servers 10.9.40.251,10.9.40.252;

option time-offset -5;
option ntp-servers 192.168.1.3,192.168.1.2;

option subnet-mask 255.255.255.0;

default-lease-time 64800;
max-lease-time 64800;
min-lease-time 64800;

subnet 192.168.1.0 netmask 255.255.255.0
{
   option routers 192.168.1.1;
}

subnet 10.9.40.0 netmask 255.255.255.0
{
   range 10.9.40.22 10.9.40.25;
   option routers 10.9.40.1;
}

#
# Fixed addresses
#
</PRE>');
INSERT INTO descriptions VALUES ( 'DHCP_Restart_Command', 'This entry controls exactly how the DHCP daemon is restarted.  As with all of the Restart/Reload commands, this can be either a single command or a series of commands.<BR>
<BR>
For example:<BR>
<CENTER><B>/etc/init.d/dhcpd restart</B></CENTER>
<BR>
or,
<CENTER><B>rsh dhcpserver \"/etc/init.d/dhcpd restart\"</B></CENTER><BR
');


# --------------------------------------------------------
#
# Table structure for table 'name'
#

CREATE TABLE name (
   id int(11) DEFAULT '0' NOT NULL auto_increment,
   IP_Address text NOT NULL,
   Machine_Name text NOT NULL,
   Hardware_Address text NOT NULL,
   KEY id (id)
);


# --------------------------------------------------------
#
# Table structure for table 'owner'
#

CREATE TABLE owner (
   id int(11) DEFAULT '0' NOT NULL,
   Owner_Name text NOT NULL,
   Location text NOT NULL,
   Comment text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'processor_types'
#

CREATE TABLE processor_types (
   id int(11) DEFAULT '0' NOT NULL auto_increment,
   name text NOT NULL,
   UNIQUE id (id)
);


#
# Dumping data for table 'processor_types'
#

INSERT INTO processor_types VALUES ( '1', 'UltraSparc AX');
INSERT INTO processor_types VALUES ( '2', 'Intel Pentium');
INSERT INTO processor_types VALUES ( '3', 'Intel Pentium II');
INSERT INTO processor_types VALUES ( '4', 'Intel Pentium III');
INSERT INTO processor_types VALUES ( '5', 'Intel Pentium IV');
INSERT INTO processor_types VALUES ( '6', 'Intel Pentium Pro');
INSERT INTO processor_types VALUES ( '7', 'AMD Althon K7');
INSERT INTO processor_types VALUES ( '8', 'AMD K6');
INSERT INTO processor_types VALUES ( '9', 'AMD K6 II');
INSERT INTO processor_types VALUES ( '10', 'UltraSparc AXi');


# --------------------------------------------------------
#
# Table structure for table 'specs'
#

CREATE TABLE specs (
   id int(11) DEFAULT '0' NOT NULL,
   OS int(11) DEFAULT '0' NOT NULL,
   Serial_Number text NOT NULL,
   Processor int(11) DEFAULT '0' NOT NULL,
   Processor_Speed text NOT NULL,
   Memory text NOT NULL
);


# --------------------------------------------------------
#
# Table structure for table 'users'
#

CREATE TABLE users (
   Username text NOT NULL,
   Password text NOT NULL,
   uid int(11) DEFAULT '0' NOT NULL auto_increment,
   Email text NOT NULL,
   Access int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (uid)
);

